/*
   This program makes use of the TemperatureReading2 class.

   Notice how data can now only be put into or gotten out
   of an object using the object's public interface, and
   the public interface always makes the user specify a
   temperature scale.
*/

public class UseTemperatureReading2
{
   public static void main(String[] args)
   {
      // instantiate a few objects
      // one example for each constructor
      TemperatureReading2 temp1 = new TemperatureReading2(); //use default constructor
      TemperatureReading2 temp2 = new TemperatureReading2(100, 'C', 0, 0);
      TemperatureReading2 temp3 = new TemperatureReading2(212, 'F', 0, 0);

      // print out the temperatures
      System.out.println(temp1.getTemperatureC() + "C is "
                       + temp1.getTemperatureF() + "F");
      System.out.println(temp2.getTemperatureF() + "F" );
      System.out.println(temp3.getTemperatureC() + "C\n" );

      // modify (mutate) the first object using a "set method"
      temp1.setTemperatureC(-10);

      // now print out the new temperature (in both scales)
      System.out.println();
      System.out.println(temp1.getTemperatureC() + "C is "
                       + temp1.getTemperatureF() + "F");

   }//main()
}