/*
   This program makes use of the TemperatureReading3 class.

   In particular, this program makes use of the static constants
   and methods that are in the TemperatureReading3 class.
*/

public class UseTemperatureReading3
{
   public static void main( String args[] )
   {
   // declare two variables of type TemperatureReading3
   TemperatureReading3 temp1;
   TemperatureReading3 temp2;

   // instantiate two TemperatureReading3 objects
   // and make use of the static constants.
   temp1 = new TemperatureReading3(TemperatureReading3.BOILING_C, 'C', 0, 0);
   temp2 = new TemperatureReading3(TemperatureReading3.FREEZING_F, 'F', 0, 0);

   // retrieve the temperature from the objects
   System.out.println(temp1.getTemperatureC() +"C is "+ temp1.getTemperatureF() + "F");
   System.out.println(temp2.getTemperatureF() + "F\n" );

   // Test the static methods. Notice that they do not
   // need any TemperatureReading3 objects to be used.
   // We call the static methods using the class name.
   double hotF = 112;
   double hotC = TemperatureReading3.convertFtoC( hotF );

   double coldC = -50;
   double coldF = TemperatureReading3.convertCtoF( coldC );

   System.out.println(hotF + "F is " + hotC + "C");
   System.out.println(coldC + "C is " + coldF + "F\n");

   }//main()
}